LotusStyleManagerInternal::FontStyle Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::FontStyle Struct Reference

small struct used to defined font style More...

## Public Member Functions
| FontStyle (libwps_tools_win::Font::Type fontType)
| constructor

## Public Attributes
WPSFont | m_font
| the font
libwps_tools_win::Font::Type | m_fontType
| the font type
int | m_fontId
| the font id
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, FontStyle const &font)
| operator<<

## Detailed Description

small struct used to defined font style

## Constructor & Destructor Documentation

## ◆ FontStyle()

LotusStyleManagerInternal::FontStyle::FontStyle | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FontStyle const & | font )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string LotusStyleManagerInternal::FontStyle::m_extra

extra data

Referenced by FontStyle(), operator<<, LotusStyleManager::readFontStyleA0(), and LotusStyleManager::readFontStyleF0().

## ◆ m_font

WPSFont LotusStyleManagerInternal::FontStyle::m_font

the font

Referenced by FontStyle(), operator<<, LotusStyleManager::readFontStyleA0(), LotusStyleManager::readFontStyleF0(), and LotusStyleManager::updateState().

## ◆ m_fontId

int LotusStyleManagerInternal::FontStyle::m_fontId

the font id

Referenced by FontStyle(), operator<<, LotusStyleManager::readFontStyleA0(), and LotusStyleManager::updateState().

## ◆ m_fontType

libwps_tools_win::Font::Type LotusStyleManagerInternal::FontStyle::m_fontType

the font type

Referenced by FontStyle(), LotusStyleManager::readFontStyleF0(), and LotusStyleManager::updateState().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp